slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSArnoldiSetDelayed

Activates or deactivates delayed reorthogonalization in the Arnoldi iteration.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSArnoldiSetDelayed(EPS eps,PetscBool delayed)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| delayed | - boolean flag

### Options Database Key

| -eps_arnoldi_delayed | - Activates delayed reorthogonalization in Arnoldi

### Note

Delayed reorthogonalization is an aggressive optimization for the Arnoldi eigensolver than may provide better scalability, but sometimes makes the solver converge less than the default algorithm.

### See Also

EPSArnoldiGetDelayed()

### Level

advanced

### Location

src/eps/impls/krylov/arnoldi/arnoldi.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages